Bug 24663 - glibc 2.2-12 breaks eepro100 Network Driver
Summary: glibc 2.2-12 breaks eepro100 Network Driver
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
high
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-22 22:52 UTC by Need Real Name
Modified: 2016-11-24 14:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-23 10:46:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-01-22 22:52:22 UTC
I installed RedHat7.0 on a Dual PIII-933 with Intel Pro100/S
(Intel 82557) Network Adapter. After that, everything worked fine.

Then, I updated to glibc 2.2-12,  nothing else was changed.
Now I have a 95% Chance on boot time, that eth0 don't come up.
It says:
	"eth0: card reports no RX buffers.
	 eth0: card reports no resources." (repeating on and on)


Bad thing is that I have to install about 200 new Computers of that
exact config in the next 30 days :-(  and I don't want to miss the
lots of security and bug fixes in 2.2-12.


regards,
Jerome Koenig, Linux Guru, University of Paderborn  jerome@uni-paderborn.de

Comment 1 Jakub Jelinek 2001-01-23 10:46:39 UTC
I don't see how change of glibc might matter to a kernel module (unless
you get out of memory or unless glibc would have major bugs and would
cause insmod to overwrite parts of the eepro100 module.
Can you try to downgrade glibc temporarily to some other rpm (or upgrade
to glibc-2.2.1-2 in rawhide)? Can you try using /sbin/insmod.static to load
the driver into the kernel?

Comment 2 Jakub Jelinek 2001-02-23 12:58:42 UTC
Closed due to inactivity.


Note You need to log in before you can comment on or make changes to this bug.